in scala.actors
object Actor

`object` Actor
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Actor` object provides functions for the definition of actors, as well as all actor operations, such as `receive`, `react`, `reply`, etc.

Version:
  Beta2
Author:
  Philipp Haller

Class Summary
| `class` FromReceive

Trait Summary
`abstract` | `trait` Body [a]

Constructor Summary
| `def` this

Val Summary
| `val` selfs : java.util.WeakHashMap

Def Summary
| `def` ? : scala.Any
| `def` actor (body: => scala.Unit) : scala.actors.Actor
| `def` choose [a, a <: b] (alt1: => a, alt2: => b) : b
| `def` exit (reason: java.lang.String) : scala.Unit Terminates execution of `self` with the following effect on linked actors: For each linked actor `a` with `trapExit` set to `true`, send message `Exit(self, reason)` to `a`. For each linked actor `a` with `trapExit` set to `false` (default), call `a.exit(reason)` if `!reason.equals("normal")`.
| `def` from (r: scala.actors.Actor) : Actor.this.FromReceive Used for receiving a message from a specific actor. Example: `from (a) receive { //... }`
| `def` link (body: => scala.Unit) : scala.actors.Actor Links `self` to actor defined by `body`.
| `def` link (to: scala.actors.Actor) : scala.actors.Actor Links `self` to actor `to`.
| `def` loop (body: => scala.Unit) : scala.Unit Causes `self` to repeatedly execute `body`.
| `def` mkBody [a] (body: => a) : java.lang.Object with Actor.this.Body[a]
| `def` poll : scala.Option[scala.Any]
| `def` react (f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing `receive` for event-based reactors. Actions in `f` have to contain the rest of the computation of `self`, as this method will never return.
| `def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]) : scala.Nothing `receiveWithin` for event-based reactors. Actions in `f` have to contain the rest of the computation of `self`, as this method will never return.
| `def` receive [a] (f: scala.PartialFunction[scala.Any, a]) : a Receives a message from the mailbox of `self`. Blocks if no message matching any of the cases of `f` can be received.
| `def` receiveWithin [R] (msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]) : R Receives a message from the mailbox of `self`. Blocks at most `msec` milliseconds if no message matching any of the cases of `f` can be received. If no message could be received the `TIMEOUT` action is executed if specified.
| `def` reply : scala.Unit Send `()` to the actor waiting in a call to `!?`.
| `def` reply (msg: scala.Any) : scala.Unit Send `msg` to the actor waiting in a call to `!?`.
| `def` self : scala.actors.Actor Returns the currently executing actor. Should be used instead of `this` in all blocks of code executed by actors.
| `def` sender : scala.actors.Actor Returns the actor which sent the last received message.
| `def` seq [a, a <: b] (first: => a, next: => b) : b Causes `self` to execute `first` followed by `next`.
| `def` unlink (from: scala.actors.Actor) : scala.Unit Unlinks `self` from actor `from`.

Trait Detail

`abstract trait` Body [a]
  `extends` java.lang.Object
  `with` scala.ScalaObject

Def Summary
`abstract` | `def` andThen [a <: b] (other: => b) : b
`abstract` | `def` orElse [a <: b] (other: => b) : b

Def Detail

`abstract def` andThen [a <: b](other: => b): b

`abstract def` orElse [a <: b](other: => b): b

Constructor Detail

`def` this

Val Detail

`val` selfs : java.util.WeakHashMap

Def Detail

`def` ? : scala.Any

`def` actor (body: => scala.Unit): scala.actors.Actor

`def` choose [a, a <: b](alt1: => a, alt2: => b): b

`def` exit (reason: java.lang.String): scala.Unit

  Terminates execution of `self` with the following effect on linked actors:

  For each linked actor `a` with `trapExit` set to `true`, send message `Exit(self, reason)` to `a`.

  For each linked actor `a` with `trapExit` set to `false` (default), call `a.exit(reason)` if `!reason.equals("normal")`.

`def` from (r: scala.actors.Actor): Actor.this.FromReceive

  Used for receiving a message from a specific actor.

  Example:

  `from (a) receive { //... }`

Parameters:
  `r -` ...
Returns:
  ...

`def` link (body: => scala.Unit): scala.actors.Actor

  Links `self` to actor defined by `body`.

Parameters:
  `body -` ...
Returns:
  ...

`def` link (to: scala.actors.Actor): scala.actors.Actor

  Links `self` to actor `to`.

Parameters:
  `to -` ...
Returns:
  ...

`def` loop (body: => scala.Unit): scala.Unit

  Causes `self` to repeatedly execute `body`.

Parameters:
  `body -` ...

`def` mkBody [a](body: => a): java.lang.Object with Actor.this.Body[a]

`def` poll : scala.Option[scala.Any]

`def` react (f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

  `receive` for event-based reactors. Actions in `f` have to contain the rest of the computation of `self`, as this method will never return.

Parameters:
  `f -` ...
Returns:
  ...

`def` reactWithin (msec: scala.Long)(f: scala.PartialFunction[scala.Any, scala.Unit]): scala.Nothing

  `receiveWithin` for event-based reactors. Actions in `f` have to contain the rest of the computation of `self`, as this method will never return.

Parameters:
  `msec -` ...
Parameters:
  `f -` ...
Returns:
  ...

`def` receive [a](f: scala.PartialFunction[scala.Any, a]): a

  Receives a message from the mailbox of `self`. Blocks if no message matching any of the cases of `f` can be received.

Parameters:
  `f -` ...
Returns:
  ...

`def` receiveWithin [R](msec: scala.Long)(f: scala.PartialFunction[scala.Any, R]): R

  Receives a message from the mailbox of `self`. Blocks at most `msec` milliseconds if no message matching any of the cases of `f` can be received. If no message could be received the `TIMEOUT` action is executed if specified.

Parameters:
  `msec -` ...
Parameters:
  `f -` ...
Returns:
  ...

`def` reply : scala.Unit

  Send `()` to the actor waiting in a call to `!?`.

`def` reply (msg: scala.Any): scala.Unit

  Send `msg` to the actor waiting in a call to `!?`.

`def` self : scala.actors.Actor

  Returns the currently executing actor. Should be used instead of `this` in all blocks of code executed by actors.

Returns:
  returns the currently executing actor.

`def` sender : scala.actors.Actor

  Returns the actor which sent the last received message.

`def` seq [a, a <: b](first: => a, next: => b): b

  Causes `self` to execute `first` followed by `next`.

Parameters:
  `first -` ...
Parameters:
  `next -` ...

`def` unlink (from: scala.actors.Actor): scala.Unit

  Unlinks `self` from actor `from`.

Parameters:
  `from -` ...